diff --git a/.devcontainer/assets/build-install-openresty-voms.sh b/.devcontainer/assets/build-install-openresty-voms.sh
index a1d25c6f6bb380a94bbdac9eee54942d4fd7adb8..7a516d3be0f05978f24b29d09044395a0788f429 100644
--- a/.devcontainer/assets/build-install-openresty-voms.sh
+++ b/.devcontainer/assets/build-install-openresty-voms.sh
@@ -18,6 +18,8 @@
 # The script works best (i.e. it is tested) if run within a docker container
 # started from the .devcontainer
 
+set -ex
+
 usage()
 {
     echo "USAGE: $0 [OPTIONS] [TEXT]"
@@ -102,7 +104,7 @@ if [ ! -d "${module_root}" ]; then
     exit 1
 fi
 
-if [ ! -f "/workspaces/ngx_http_voms_module/nginx-httpg_no_delegation.patch" ]; then
+if [ ! -f "${module_root}/nginx-httpg_no_delegation.patch" ]; then
     >&2 echo "nginx-httpg_no_delegation.patch not found in ${module_root} dir."
     exit 1
 fi